t.rast3d.algebra(1)

NAME
t.rast3d.algebra.py - Apply temporal and spatial operations on space time 3D raster datasets using temporal 3D raster algebra.

KEYWORDS
temporal, algebra, raster3d, voxel, time

SYNOPSIS
t.rast3d.algebra.py
t.rast3d.algebra.py --help
t.rast3d.algebra.py [-sng] expression=string basename=string [nprocs=integer] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-s
    Check the spatial topology of temporally related maps and process only spatially related maps

-n
    Register Null maps

-g
    Use granularity sampling instead of the temporal topology approach

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

expression=string [required]
    Algebraic expression for temporal and spatial analysis of space time 3D raster datasets

basename=string [required]
    Basename of the new generated output maps
    A numerical suffix separated by an underscore will be attached to create a unique identifier

nprocs=integer
    Number of r3.mapcalc processes to run in parallel
    Default: 1

DESCRIPTION
t.rast3d.algebra performs temporal and spatial map algebra operations on space time 3D raster datasets (STR3DS) by using the temporal 3D raster algebra.

  NOTES
The module expects an expression as input parameter in the following form:

"result = expression"

The statement structure is exact the same as of t.rast.algebra, see t.rast.algebra but allows four-dimensional indexing.

REFERENCES
PLY(Python-Lex-Yacc)

SEE ALSO
t.rast.algebra, t.rast3d.mapcalc, r.mapcalc, t.vect.algebra, t.select

AUTHORS
Thomas Leppelt, Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

SOURCE CODE

Available at: t.rast3d.algebra source code (history)

Accessed: Sunday Apr 14 02:08:28 2024

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual